Subject: LDUP WG - RFC 2026 s 6.5.4 appeal

From: "Albert Langer" <[email-masked]>
Date: Sat, 10 Mar 2001 05:03:55 +1100

Sorry about any confusion. This is a repost as original was too big for
mailbox and
Paul Hoffman has now kindly raised the limit. Sorry about the length.

Also corrected typo "No such milestone existed in the
previous charter." (not typo "previous draft")

Original to Chris bounced, am now using correct address (I hope)

-----Original Message-----
From: Albert Langer [mailto:[email-masked]]
Sent: Friday, March 09, 2001 8:11 PM
To: 'Patrik Fältström'; [email-masked]'
Cc: [email-masked]'; 'Chris Apple'; [email-masked]'
Subject: LDUP WG - RFC 2026 s 6.5.4 appeal

To: Patrik Fältström and Ned Freed - Area Directors, Applications Area, IETF

Date: 9 March 2001 AEST (all dates below are for the same year 2001
and ldup list archive time zone except where explicitly indicated)

From: Albert Langer

This is a formal appeal (RFC 2026 s 6.5.4) concerning
the decisions made by the LDUP WG co-chairs (John
Strassner, and Chris Apple) itemized below together
with proposed resolution for each item. The proposed
resolutions include an appeal against continued
management of the WG by the current co-chairs and a
request for their replacement.

I am CCing to LDUP WG lists for information.

Grounds of appeal, relevant facts, references
to documentation and argument are then provided
separately for each item. The documentation for items 2
and 3 is included with item 1. Proposed resolution for
items 1 and 2 is simple reversal of the decision, with
a request for urgent and summary determination explained
below.

* Decisions Appealed *

1) Finalization of Proposed Standard before Architecture

2) No review of WG progress despite delays exceeding two years

3) Unauthorized posting of revised WG charter

Proposed resolution: Re-chartering of WG. Direction that WG is to
demonstrate that it is capable of doing the work it is chartered
to do by first producing, through open discussion on the list,
an agreed statement as to the lessons learned from its failure
to do that work so far, or alternatively a statement of any remaining
disagreements about that, with a list of which WG participants
have explicitly endorsed each of the differing views concerning
the nature of the problem and the solution.

4) Refusal to resolve technical issues in WG list

Proposed resolution: Replacement of both WG co-chairs and appointment of
additional WG staff as listed in RFC 2418 s 6 - Secretary (6.2),
Facilitator (6.4), Consultant (6.6).

5) Bullying retaliation in response to formal objections by John

Proposed resolution: Apology to WG and temporary exclusion from
active participation for 3 months. During that period, John not
permitted to speak at WG meetings or post any message directly
to the list. (May contribute by submitting I-Ds and messages
forwarded by other participants). Alternatively, no apology
and temporary exclusion for 6 months.

An additional item 6 that should not be published prior to resolution
may follow separately. It does not affect the determination of items
1 to 5 and may be delayed and considered separately.

* Background *

The WG requirements editors have now proposed a requirement as follows:

P7.  The protocol MUST preserve atomicity of LDAP operations as defined
in RFC2251 [RFC2251].

That fully meets the fundamental objection I raised at the Adelaide
IETF nearly a year ago and I will now not be objecting to the current
draft (07) at IETF last call, whether or not other changes I believe
desirable are made in the next WG last call.

It has also been endorsed by John, in response to the explanation given
by the editors:

***
> >Part I Sub-issue 7: removal of P6 (atomicity information)
>...
> >Action: This requirement needs to be explained and justified in the I-D.
> >The I-D should answer the question of whether it is propagating end-state
> >or propagating a set of operations required to replicate that end-state,
> >and WHY it is doing so.
>
>-We feel that discussion of propagating end state vs. changes is about
>implementation.  Rather, P6 (now P7 due to other changes) has been
>rewritten to explicitly require propagation of atomicity of LDAP
>operations as defined in RFC 2251. We feel it is now self justifying.

As WG Co-Chair, this action meets my action item.
***
http://www.imc.org/ietf-ldup/mail-archive/msg00926.html

Unfortunately it took nearly a year to get there, during which no
work was done to actually meet this requirement, despite it being,
as pointed out by the editors, "self justifying" by simple reference to
mandatory provisions of the base standards to which this WG is
supposed to add replication. Nor was anything done to achieve a
genuine consensus about it.

A similar statement appeared in draft 0 of the architecture way
back on 8 August 1998:

***
3.2 Document Objectives
[...]

  c) To preserve the atomicity of LDAP operations.  Updates to an entry,
    from multiple sources, will be combined such that the resultant
    entry is equivalent to a serial execution of the operations.

8.2.2 Incremental Update Transfer
[...]

  Each individual change may contain a sequence of entry modifications
  that must be preserved when transferred. The atomicity of the LDAP
  operation must be preserved when it is applied to the Consumer
  Replica.

http://www.imc.org/ietf-ldup/mail-archive/msg00138.html

Subsequently, on 24 December 1998, after the WG charter had been
submitted, the initial draft of URP appeared, which did not
support the above provisions of the architecture:

http://www.imc.org/ietf-ldup/mail-archive/msg00224.html

It was published as an I-D on 18 Feb 1999:

http://www.imc.org/ietf-ldup/mail-archive/msg00258.html

The architecture was subsequently revised to accomodate URP
on 28 June 1999:

3.2 [...]  c) To preserve the LDAP Data Model and Operation Behaviour
	constraints defined for LDAP in RFC 2251.

http://www.imc.org/ietf-ldup/mail-archive/msg00359.html
http://www.imc.org/ietf-ldup/mail-archive/msg00360.html

No clear explanation was reported in subsequent minutes of 31 July 1999,
despite reference to concern about consistency model from IESG. Nor
was any decision taken on the WG list.

http://www.imc.org/ietf-ldup/mail-archive/msg00380.html

Essentially the WG has gone full circle on this issue since it
was first chartered and is currently back on track (though I doubt
that there is a genuine "rough consensus" yet).

Simply pretending that nothing happened, and allowing the WG co-chairs
to continue as before, will not avoid further delays.

It is now entirely possible that authors of the current architecture
and URP drafts and others may wish to object at WG last call, as those
drafts are clearly not capable of meeting that requirement and the
proposal is part of a document that is now being taken seriously as
actual requirements.

They are fully entitled to do so and it is essential that any such
objections be dealt with through the normal IETF process of open
and fair technical discussion on the WG list with a view to
reaching a *genuine* "rough consensus" that can be a basis for
moving forward to actually meet the requirements finally agreed
on by the WG by working together to get the job done.

I do not believe that will be possible unless the WG co-chairs
are told by someone they will listen to, that their refusal to
deal with disagreements the IETF way and their refusal to seek
a WG "rough consensus" on requirements and architecture through
technical discussion on the list before deciding on
detailed design, is a major factor preventing the WG getting
its work done. I also believe that they have demonstrated an
incapacity to manage, and even participate in, technical
discussions through the WG list, after making a commitment
to do so, that justifies immediate replacement.

I request that Patrik not participate in the appeal concerning
items 1 to 4 as doing so could give the appearance of reviewing
decisions that he may have been involved in. No such problem
arises concerning the remaining items, but they should be
considered in the light of 1 to 4 by the same ADs that deal
with items 1 to 4.

Items 1 and 2 are both straight forward and urgent.

I request that they be determined summarily prior to
dealing with the other items that involve resolving
disputes as to the facts. Reasons for urgency are
explained below.

If the WG co-chairs persist in John's claim that their decision
reflects a consensus of the WG, rough or otherwise, then
I request that the determination of items 1 and 2 should be made
promptly on the basis that this claim is assumed correct,
before consideration of whether it is correct or not (item 3) -
as a 6.51(b) appeal simply asserting that:

(b) the Working Group
   has made an incorrect technical choice which places the quality
   and/or integrity of the Working Group's product(s) in significant
   jeopardy.

Item 2 is not strictly a "technical choice" but is based on the
significant jeopardy to the quality and integrity of the WG
products as a result of deciding not to review why there are no
such products after more than two years, rather than being based on:

(a) his or her own views have not been
   adequately considered by the Working Group

My understanding is that decisions on these two items are within
the scope of routine administrative authority of ADs under s 6.7
of RFC 2418.

   Area Directors are responsible for ensuring that working groups in
   their area produce coherent, coordinated, architecturally consistent
   and timely output as a contribution to the overall results of the
   IETF.

Architecturally consistent output is hardly likely without
finalizing architecture before URP and timely output
from a WG more than 2 years behind schedule requires a
an open review of progress on the WG list.

Accordingly the determination could be made summarily as an
exercise of AD responsibilities rather than being treated
as an appeal against a WG decision. This could also have
the advantage of item 3 becoming moot if the decisions
by the WG chairs are reversed, although the facts concerning
item 3 remain relevant as evidence concerning the remaining
items and the proposed resolution could be included in
those for item 4.

Section 6.7 also relates to my request that Patrik not participate, as he
was the AD directly assigned this responsibility with respect to LDUP, who
in my view ought to have acted on his own initiative on becoming aware
of these 2 items, without waiting for an appeal and without publicly
suggesting one while simultaneously indicating a possible prejudgment.

http://www.imc.org/ietf-ldup/mail-archive/msg00822.html

The remaining items could also be considered straight forward,
however they involve questions of fact which John has clearly
disputed and therefore may require less summary consideration
of what the facts actually are, before deciding what to do
about them. That could also be brief as all the relevant
facts which John disputes are clearly on the public record
at the links provided in this appeal, or in the attached
emails. (See also the links within the items to which the
links point).

* Item 1 - Proposed Standard Protocol before Architecture *

Public knowledge of the decision to finalize a Proposed
Standard for URP prior to finalizing the architecture
formally occurred on publication of a revised WG charter
dated 10 February:

http://www.ietf.org/html.charters/ldup-charter.html

However no announcement of any such decision was made
to the WG list and participants in the WG may not have
been aware of it then.

The grounds of appeal are that finalizing a Proposed Standard
before finalizing its architecture lacks common sense.

All messages relating directly or indirectly to this matter
from the WG list archives are at the following links:

http://www.imc.org/ietf-ldup/mail-archive/msg00783.html

http://www.imc.org/ietf-ldup/mail-archive/msg00784.html

http://www.imc.org/ietf-ldup/mail-archive/msg00791.html

http://www.imc.org/ietf-ldup/mail-archive/msg00813.html

http://www.imc.org/ietf-ldup/mail-archive/msg00815.html

http://www.imc.org/ietf-ldup/mail-archive/msg00820.html

http://www.imc.org/ietf-ldup/mail-archive/msg00822.html

http://www.imc.org/ietf-ldup/mail-archive/msg00829.html

http://www.imc.org/ietf-ldup/mail-archive/msg00833.html

http://www.imc.org/ietf-ldup/mail-archive/msg00834.html

http://www.imc.org/ietf-ldup/mail-archive/msg00837.html

In addition, John sent me an email (attached) on 20 Feb (AEST)
restating his position that he had the consent of the WG,
CC'd to Patrik as AD and Chris as co-chair.

I am unable to provide more specific grounds at present as no reason
for the decision has been given by either the WG co-chairs or the AD
in response to my objection and I am completely unable to guess what
reasons there might be for the change.

If anyone offers plausible reasons I will respond in more detail.

Relevant facts are:

a) The WG charter at the time of this decision provided for
architecture and information model to be finalized before
finalization of URP. Both URP and architecture were drafted on
that basis.

b) The architecture draft contains a fairly detailed
description of the principles of URP, which is much easier to
understand and discuss than the URP draft.

c) The architecture uses the requirements language of RFC 2119
to constrain the design of URP and has no dependency on URP,
which is not included in the references.

d) That was a deliberate decision as noted on 1 March 2000 in the agenda
for the Adelaide IETF:

http://www.imc.org/ietf-ldup/mail-archive/msg00488.html

e) The corresponding minutes record that architecture authors expected
other documents to be tightly coupled to the architecture document:

http://www.imc.org/ietf-ldup/mail-archive/msg00539.html

f) The previous version 2 of URP was explicitly dependent
by reference on the architecture document:

http://www.imc.org/ietf-ldup/mail-archive/msg00440.html

g) Version 3 has removed that explicit dependency, perhaps
accidentally, as the description of changes since the
previous version in 12.3 says:

"The list of references has been expanded."

The technical content, and therefore the previous
actual dependency on architecture remains essentially
the same.

h) There is no reference in the minutes to removal of
the dependency and no mention on the mailing list.

I believe the above provides all relevant facts and
documentation for a summary determination. However
documents cited below may also be considered relevant.

The following items are from the San Diego LDUP draft minutes
published on 26 December 2000, (no final minutes are in the
Proceedings of the 49th IETF):

http://www.imc.org/ietf-ldup/mail-archive/msg00767.html

***
2. "LDUP Update Reconciliation Procedures"
http://www.ietf.org/internet-drafts/draft-ietf-ldup-urp-03.txt

Editor(s): Steven Legg, Alison Payne Steven gave a short presentation,
reiterating that there were no comments to this version of the draft.
The chair asked if anyone had any comments or suggestions on this draft,
and no one did. An informal room vote was taken to see if this draft was
ready for Last Call, and the room agreed that it was (but that the
Requirements draft should be issued first).

Action: Chairs to announce Last Call after Requirements draft returns
from its Last Call

11. Revised charter discussion

The dates were reviewed with the authors, and the chairs
will issue a revised charter by the first of the year.
***

I am not aware of any other documentation that anyone might
consider relevant.

Urgency:

This matter is urgent because the January milestone scheduled
for URP WG last call had already expired, (as had the URP draft
itself), when the revised charter was published and the editors
of the requirements draft have formally requested a last call
on requirements commencing 26 March:

http://www.imc.org/ietf-ldup/mail-archive/msg00922.html

Consequently WG business could be disrupted if this item is not
dealt with promptly and at least before the earliest likely date
for a URP final call - shortly after 10 April. Nearly a year
during which the architecture could have been reviewed and fixed
has already been lost as a result of the WG chairs refusal to do
so - as documented in item 4.

If it is possible to determine that architecture must be finalized
prior to a Proposed Standard before the next final call on the
requirements draft, proposed for 26 March, that could greatly
assist in ensuring a productive discussion (see item 5).

* Item 2 - No Review of WG Progress *

The grounds for asserting that refusal to review WG progress
places the quality and/or integrity of the Working Group's
product(s) in significant jeopardy is that the WG has
produced no such product(s) in more than two years. Something
obviously must have gone wrong and a decision not to review what
has gone wrong must significantly jeopardize getting it
right in future.

A review of WG progress was formally requested in my objection to
the proposed accelerated review of the WG charter on 14 January,
with an explicit request that this be put to the WG list.

***
[revision]
Dec 01 Reevaluate Charter and Milestones

[Albert]
If nobody else thinks there should be an earlier reevaluation of the
progress so far in the light of earlier milestones, fine. But WG
members should be explicitly asked to reflect on this rather treating
a consistent inability to achieve milestones as grounds for accelerating
the process by which new milestones are adopted, especially when the
proposed means to achieve new milestones is to for RFCs on detailed
implementation to be settled before Information Model and Architecture.
***
http://www.imc.org/ietf-ldup/mail-archive/msg00784.html

Public knowledge of the decision not to open such a review in
connection with the charter revision and not to ask the list
whether the WG wanted to open such a review, formally came
with the publication of the revised charter on 10 February, as for
item 1. This adds a new milestone, "Reevaluate Charter and
Milestones" for December. No such milestone existed in the
previous charter. The effect of the charter including such a
milestone could be to provide grounds for ruling out of
order any discussion on the subject until December.

John has supplemented his refusal to ask on the list whether
WG members did or did not wish to conduct such a review by
issuing an agenda for the IETF meeting with no such
agenda item:

http://www.imc.org/ietf-ldup/mail-archive/msg00927.html

The relevant facts are as follows.

This agenda has just the same old list of work that hasn't been
completed for the last two years. It doesn't even list names of
the "other missing drafts" any more. An I-D on "Mandatory
Replica Management" was originally due in November 1998.
That is a first draft, not a last call - still "missing"
after more than 2 years.

The original WG charter proposed on 23 September 1998 had
milestones of October 1998 for last call on requirements and
April 1999 for all work to be completed. Nearly two years
after all work should have been completed some of the
work has not even started and none has been completed.

http://www.imc.org/ietf-ldup/mail-archive/msg00157.html

All other relevant documentation concerning this decision
and the lack of any explanation whatever of the reasons
for this decision is included with item 1.

* Item 3 - Unauthorized posting of WG charter *

Public knowledge of the decision to post a revised
WG charter without authorization from the WG
occurred in exactly the same way as public knowledge
of the decisions contained in it - by the
(unannounced) posting of the revised charter dated
10 February, as for items 1 and 2.

In his email of 20 Feb AEST (attached) John rationalizes
his deliberate decision not to ask the question on the
mailing list as follows (CC'd to Patrik and Chris):

***
it is obvious that you don't understand IETF procedure here. Let me explain
by first repeating what I stated below:

>I posted the revised charter for discussion for this group. You were the
>only person that made a comment.

Silence means consent. The only other message was one complaining about
lack of time, so I gave the working group another week to review the
charter. At the end of the review period, there was only your comments.
Therefore, I had working group consent for the charter as is.
***

The relevant facts that would have been obvious to John if he had merely
glanced at the WG archives before reaffirming his decisions are as
follows:

a) There were two people with comments on Proposed Standard before
architecture - both expressing some level of incredulity
("lacks common sense" and "???").

b) John did not give the working group another week to review the
charter.

c) John did not ask the WG whether the URP Proposed Standard
should be finalized before architecture and information model.

d) John did not ask the WG whether there should be a review
of progress.

e) John did not announce that he had reached some conclusion about
either of the above matters after considering the objections and
indicate what course of action he intended to follow so that
participants in the WG could respond if they disagreed with
that course of action.

f) John did not indicate by what revised date comments should be
submitted  in the light of my objection to expedited approval.

g) Anything John may imagine that he did that resulted in him obtaining
the consent of the WG for his decisions was in fact a fantasy. John
said absolutely nothing at all to the WG.

There was no way anyone in the WG could have known what John's intentions
in dealing with the objection might be, or when they should submit
comments by, unless they happened to share John's assumption, that if I
propose something, John would of course disagree and the WG would of
course share John's view - and also shared that assumption with respect
to Tim.

Evidently John takes that attitude so completely for granted, that he
is genuinely perplexed that I would not find it obvious my objection
had been rejected.

But in a different context, without the attitude John has adopted,
it is entirely possible that he might have *agreed* that architecture
and information model should be finalized before protocol specifications
or have *agreed* that a review of WG progress would be appropriate after
more than 2 years.

Whatever mystical powers John claims to possess for discerning other
peoples views from their silence, I have never claimed to have any.

I have only been able to attend one LDUP WG session - at the Adelaide
IETF. My only participation in the WG has been through technical
discussions in the WG list and I have no social contact with other WG
participants.

John had never emailed me on any subject, nor made any comment in
response to anything I (or for that matter anyone else) had said
in the WG list, where most of the business of the WG is supposed
to be done, prior to my raising that objection on 14 January and
still did not do so until I asked for an explanation of the
posting of the unauthorized charter.

There was no way that I or anybody else could have known that
my objections had been rejected by a "consensus" of the WG.
I didn't even know that John would be automatically opposed
to them (though I do now).

According to RFC 2418 s 3.3:

   It is left to the discretion of the working group chair how to evaluate
   the level of consensus.  The most common method used is for the working
   group chair to state what he or she believes to be the consensus view
   and. at the same time, requests comments from the list about the
   stated conclusion.

Alternative methods are also available, such as asking everyone
to explicitly indicate whether they agree or disagree.

A method unavailable to a WG chair is not even *asking* and just
listening to an inner voice in one's own head. That is not
"declaring consensus", it is "hallucinating". Also even
absolute dictators announce their decisions, but John does not.
We are supposed to just guess what he has decided. Or more
precisely we are supposed to *know*, and if we don't know
what is going on in John's head, that means we don't understand
IETF procedures.

John's method is not called "silence is consent" - it is called
"I don't give a damn what you think - and I assume nobody else does".

There is also some obligation for a WG chair to answer simple questions
about WG business. When responding to the request for charter review
I wrote:

***
[revision]
The LDUP WG Chairs will assign one or two persons to be official
LDUP WG liasons to ITU, to monitor X.500 replication work in
the ITU, and to coordinate the work of the LDUP WG with similar work
in ITU.

[Albert]
My understanding is that X.500 dropped the URP proposals for
multi-master as a work item.

Who is or are the liaisons and what coordination has been or
is being done?
***

I would really like to know the answer as I have a particular interest
in X.500 issues affecting LDAP and LDUP and would like to discuss
some of those issues with people aware of what's going on because
they affect the architecture for LDUP as in the discussion below:

http://www.imc.org/ietf-ldup/mail-archive/msg00728.html

John won't tell me, presumably because he doesn't like me objecting,
or perhaps because I submitted an I-D he didn't like opposing a
protocol design he does like. Whatever it is, he has an obligation
to perform the normal functions of a WG chair whether he likes me
or not.

Public knowledge that the decision to post the unauthorized WG
charter was deliberate occurred on 17 February when John
responded to my objection the same day.

I had thought it likely that John simply forgot he had
requested comments, as that seems to be the way the WG is
managed generally. I suggested that possibility, drawing
attention to the lack of response to the only other comment
apart from mine:

***
These included at least one minor editorial correction (typo) which I cannot
imagine anybody would have taken exception to. Therefore I am inclined to
assume the document was simply posted "as is" without bothering to consider
any comments made on it, despite having asked for comments.

Was that the case?

Who took the decision, and why were we not informed?
***

John refuted that possibility by saying:

***
If you would be so kind as to actually
read the charter, you'll find that your complaint of having LDUP appoint
two liaisons was dropped from the charter.

[...]

I didn't issue a note to the working group because I was, and still am, ON
VACATION. I will now issue such a note, even though I am still ON VACATION.

As far as Tim's message, I simply did not see it. Thanks for the link, I'll
take a look at it, and we can discuss the changes on the list next week,
when I'm back from vacation.
***

http://www.imc.org/ietf-ldup/mail-archive/msg00815.html

From the SHOUTING, I gather I am supposed to *know* that he was gone on
vacation on Feb 17. Presumably I am supposed to know this, because that
is the natural conclusion to draw from him having issued a WG last call
on Feb 5 and earnestly solicited our comments until Feb 20.

I responded:

***
Thank you, that answers my concern that the document might have simply been
posted without bothering to look at the comments.

In future when you propose to take some formal action on behalf of the WG,
and you happen to be on vacation, could you please postpone it until you
are able to consult or at least inform the WG.

There is no need to take such actions while on vacation just as there is
no need to reply to this email while you are on vacation.
***

http://www.imc.org/ietf-ldup/mail-archive/msg00820.html

John's statement completely clarifies that he did not accidentally
forget to respond to my objections and obtain a WG decision, but
that he had evaluated my comments, although accidentally not
noticing Tim's, had decided what to do about them, and was
being sarcastic about my failure to even notice that one of
my complaints had been met.

That confirms that he deliberately chose to post the revised
WG without asking the WG for its views on the objections
and therefore without authorization from the WG for
implementing his own views.

Needless to say, he has not issued any note announcing
his decision, although he has issued several memos telling
us what we think about various issues discussed during his
vacation and accepted the requirements editors report on
the recent final call more than a week ago.

My assumption that both WG co-chairs are involved in the
decisions for items 1-3, though not necessarily both
involved in the hallucinations, is based on the reference
to "Chris and I", and the signature "John and Chris" on
the message posted by John on 13 January requesting
accelerated charter revision and the signature
"John Strassner and Chris Apple" on the message
posted by John on 5 February, opening a WG final
call until 20 February.

I have not actually seen anything directly
from Chris, but I assume he should have been involved,
and would have been, unless *both* WG co-chairs were
"on vacation" while the WG was conducting a final call.

That is possible as Chris has not been heard from since
17 January when he "forwarded" a message about X.500 liaison
to the WG, which explained it had already been posted, instead
of actually following up to propose any response to the
important proposals it referenced.

http://www.imc.org/ietf-ldup/mail-archive/msg00789.html
http://www.imc.org/ietf-ldup/mail-archive/msg00790.html

The proposed resolution is intended to underline the significance
of the WG charter as a contract between the WG participants and
the rest of the IETF as to work that will be undertaken. It is
essential that the IESG be able to simply assume that requests
for a routine extension and modification by a WG *are* made by
the WG and not unilaterally by a WG co-chair without resolving
objections.

It is also intended to resolve the underlying problems for
items 1 and 2 beyond what should be decided in a summary
determination to reverse those decisions.

* Item 4 - Refusal to resolve technical issues in WG list *

According to RFC 2418

s 2.2

"Most of the work of an IETF working group will be conducted
on the mailing list."

s 6.1
      The Chair should attempt to ensure that the discussions on this
      list are relevant and that they converge to consensus agreements.
      The Chair should make sure that discussions on the list are
      summarized and that the outcome is well documented (to avoid
      repetition).  The Chair also may choose to schedule organized on-
      line "sessions" with agenda and deliverables.  These can be
      structured as true meetings, conducted over the course of several
      days (to allow participation across the Internet).

The following is a complete list of John's contributions to the mailing list
between when I joined following the Adelaide IETF at end of March 2000, and
my objection on 14 January:

Revised work group charter for your review 13 Jan 2001
http://www.imc.org/ietf-ldup/mail-archive/msg00783.html

Re: interoperability limits: proposed addition to
draft-ietf-ldup-replica-req-05.txt
http://www.imc.org/ietf-ldup/mail-archive/msg00769.html 26 Dec 2000

DRAFT minutes for San Diego meeting 26 Dec 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00767.html

Draft minutes for LDUP 11 Aug 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00688.html

Fw: I-D ACTION:draft-langer-ldup-mdcr-00.txt 11 Apr 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00543.html

Draft Minutes for the LDUP WG meeting 10 Apr 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00539.html

The following is a similar list for Chris:

RE: New version of draft-ietf-ldup-replica-req 16 November 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00738.html

RE: I-D ACTION:draft-ietf-ldup-replica-req-03.txt 8 August 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00682.html

RE: I-D ACTION:draft-ietf-ldup-replica-req-03.txt 4 August 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00668.html

LDUP Working Group Agenda 24 July 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00631.html

I-D Cut-Off Reminder 12 July 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00593.html

Pittsburgh LDUP WG Session 23 June 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00575.html

What's going on? 8 Jun 2000
http://www.imc.org/ietf-ldup/mail-archive/msg00559.html

It is obvious that neither of the co-hairs were participating in
"most of the work" *at all*, let alone performing their duties
as moderators. John asked one (somewhat pointless) question
(26 December 2000). The rest are just administrative except
for one from Chris.

Chris sent one message that he would probably regard as moderating
the list, or even perhaps as participating in technical discussion,
(above, 16 November 2000), though I regarded it as merely a display of
bad temper following my statement on the previous day that I would
be opposing the requirements draft at IETF last call:

http://www.imc.org/ietf-ldup/mail-archive/msg00734.html

I simply ignored it at the time, while hoping he would actually
follow up on his intention to comment concerning atomicity and ACI.
I am making no complaint about it now, but am just listing it as
the *only* occasion on which either of them took part in any actual
discussion on the list in that entire period. It also establishes
that the issues concerning atomicity which John ordered me not to
discuss during last call (item 5) had been explicitly identified
as relevant to last call by his co-chair.

All the rest of their messages are just administrative (including
John opening a discussion of my I-D on 4 August, declaring the
first order of business to be a response from the authors of the
previous requirements draft, and then doing nothing when they did
not respond).

Apart from that one message by Chris, the WG co-chairs never
responded to anything *anyone* said in any technical discussion
about *anything*, let alone summarize and document the outcome etc
in the entire period since I joined following the Adelaide IETF
and my objection on 14 January.

The message of 8 June 2000 from Chris is especially interesting as
it indicates the state of the WG before I first posted a message:

***
I haven't seen any recent list activity other than two SPAMs since
April 25th. There are still deliverables that are/were due that
have not been published.

Please report on the status of your present (or pending) draft
to the list.
***

I raised my concerns about the manner in which the WG was being
managed after reviewing the archives on joining, and lurking for
a while when the WG was supposed to have been considering the
objections I had raised at the IETF meeting and my alternative
MDCR proposal to replace URP.

The subsequent exchange of emails included a polite, but
sufficiently thorough demonstration that neither of the
WG chairs had been even following what was going on, for
Chris to give a commitment to pay more attention in future.

It also referred to the consequences of having settled on a
design before requirements and architecture (item 1) and the
possibility of rechartering the WG if the then current state
continued (item 2).

I do not think there was anything about my polite but insistent
manner in that email, that would have led any rational person
to imagine that I would just give up and go away in the event
of anything like item 3 or item 5 happening or item 4 continuing.

The whole of the attached emails from Chris of  18 and 20 July 2000
and the links within my included messages are important background
for understanding the situation in the WG and item 5 of this appeal.

For the purposes of this item 4, the following final message
from Chris is relevant:

***
OK. Here's the deal. There will be an agenda item for the Pittsburgh WG
meeting to discuss the issues you have raised on the mailing. We'll
publish a summary of that discussion in the meeting minutes.

I'll craft and coordinate with my co-chair a reply to the official
meeting minutes posting with a request for objections to a particular
course of action relative to the issues you have raised on the mailing
list. In this case, silence from a majority WG participants that John
and I know to be actively participating in LDUP work will be
interpretted as having achieved rough concensus on that course of
action.

I believe that's all any WG co-chair could reasonably be expected to do
in a situation like this. I've been too swamped with day-to-day job
responsibilities to pay much attention to this particular WG issue
until the past week or so. Which is one reason for a change in who I am
employed by effective 7/24. After that date, since my new employer is
much more supportive of IETF work than my present employer, the
situation that the WG is in now, will receive much more of my day-to-day
attention. And, one way or the other, the issues you have raised will
get resolved.

John, Patrik, or Ned: do you have other opinions about how to proceed?

Chris.
***

That was never done. Both John and Chris know that they have
never "crafted" any message to obtain a decision from the WG list on
any issue I have raised. They know that is what they committed to do
and they know it would resolve the issues "one way or the other".
Consequently they both know that there has been no such decision.

The "much more" of day-to-day attention from Chris consisted of
continuing to do nothing on the list, including complete absence
from the last call on requirements.

In addition formally minuted commitments that would result in
technical discussion in the list were not followed up:

***
7) LDUP Update Reconciliation Procedures (Steven)
file: draft-ietf-ldup-urp-02.txt

This draft did seem ready for last call, but now we may need
to reconsider it given Mr. Langer’s alternate proposal. The
authors are looking at making a future revision to accommodate
the updating of partial replicas.  Steven and Alison point out
that the main difference between URP and other approaches is
whether conflicts are merged or resolved immediately. Steven
and Alison also note that this subject keeps coming up.
Therefore, Steven and Alison have volunteered to write up a
new document that describes why URP ended up the way it did.
The working group members that that this was a good idea, and
Patrick OKed it. Chairs to revise the charter and send to list.
***

It is of course unnecessary to amend the charter in order for
a document to be submitted to and discussed seriously by the WG.
It is however necessary for WG chairs to follow up on such
minutes and ensure that technical disagreements are discussed
properly in the list on the basis of such documents rather
than just leaving them unresolved.

Failure to initiate such measures themselves and refusal to
implement them when agreed on despite their inactivity have
resulted in the WG chairs preventing the WG from functionioning
as part of a technical standards producing process.

Public knowledge that the WG co-chairs had decided not
to participate in the WG list at all did not occur on
any specific date. It crystalized for me when John
suddenly did start participating on 17 February following
my complaint the same day about the unauthorized posting
of the WG charter. He had ignored the last call discussion
until then, posting only routine administrative messages.

When he did join in, it quickly became apparant that
he had no idea how to conduct himself in technical
discussions. When he went ballistic as documented
in item 5, it then became obvious that Chris wasn't
around and had decided to remain a non-participant.

The proposed remedies include appointing a Secretary to keep
track of things, a Facilitator to ensure an open and fair
process that converges in "rough consensus" and a Consultant
with appropriate technical background, familiar with Internet
Architecture and IETF process. These are well known
remedies for problems in a WG, based on extensive IETF
experience.

The proposed remedy of replacing both WG co-chairs is
equally well known. It is necessary in this case because
there is no point seeking commitments concerning future
behaviour when such commitments have already been
given and not carried out, as documented above.

These are of course purely administrative, not disciplinary
measures.

I believe Patrik should have considered these remedies when
if first became obvious to him that the WG was going
around in circles:

http://www.imc.org/ietf-ldup/mail-archive/msg00834.html

Especially so as Patrik was involved in, and had expressed
his approval of, the commitments that were made by Chris
on 20 July 2000, and stated an intention to follow up and enforce,
the decisions that would have resulted from the WG co-chairs
carrying out those commitments - see attached
email from Patrik sent 20 July 2000 AEST.

BTW Patrik's impressions are not quite accurate in the
above recent public message to the list. I have only
attended one IETF LDUP session, where it was Patrik
who proposed that I be required to submit an I-D
within a week and that this be discussed on the list.

Any going around in circles about multi-master at
meetings has not involved me as I wasn't there. Also a
review of the archives of the list and minutes of
earlier meetings will confirm that it was going around
in circles long before I joined. As Chris put it in the
agenda for the first meeting I attended, which was
before I had joined the WG list:

2) Why are we so far behind?

	We're showing the signs of starting to die a flailing death.
	Don't let it happen if this work is important for your
	LDAP implementations. Working groups have, can, and will
	be killed for lack of activity similar to what I've seen
	since the last IETF meeting.

http://www.imc.org/ietf-ldup/mail-archive/msg00488.html

This was followed by a continuation of the situation described, with
no discussion on the list. Instead of a report of a discussion at the
meeting concerning the answer to the *question* posed by Chris, the
minutes record the following "General Admonishment" by John:

***
3. General Admonishment ;-)  (John)

Your co-chairs are concerned that we're showing the signs of
starting to die a flailing death. So, if this work is
important for your LDAP implementations, please redouble your
efforts to move these drafts along. Your co-chairs are here
to help and facilitate this. We will be collecting expected
times of updating the drafts today, so that we can update our
charter. Working groups have, can, and will be killed for
lack of activity, so please try and keep these new sets of
dates.
***
http://www.imc.org/ietf-ldup/mail-archive/msg00539.html

* Item 5 - Bullying retaliation in response to formal objections by John *

The following extract is just one from several similar by John
commenting on quotes from me, emphasizing each time that he was
acting in his capacity as WG co-chair:

http://www.imc.org/ietf-ldup/mail-archive/msg00850.html

***
>My view is that the critically important requirement that applications
>depend on
>is simply that a change can be reliably made to exactly the entry you
>thought you
>were changing and not result in some mixture of updates combined with
>unknown
>concurrent changes by some other application.

<js>
Albert, you presented your way, and it was the consensus of the working
group that the behavior you proposed was NOT what the user would have
expected. That is why the working group has adopted the approach it has.

With the chair hat on, I would therefore ask you to stop bringing this up.
If you have an explicit suggestion that would make our current approach
better in some way, please say it. But simply stating that it won't work,
or talking about your alternative, are not helping the working group make
progress. Please stop.
</js>

>That is essential for basic data integrity and easily achieved by the
>provisions
>regarding modify operations in the LDAP standards. The whole point of those
>provisions is that by explicitly asserting that all relevant attributes
have
>particular values at the start of a modify and particular values at the
end,
>you are guaranteed that the operation will fail if that turns out not to be
>the case due to some other change between when you read an entry and when
>you modified it, rather than ending up with randomly garbled entries.

<js> same comment as above, this doesn't help </js>

[Note]
This is an explicit claim by a WG chair that a consensus had been reached
on an item under discussion when no such decision had been put to the WG
at all. Followed immediately by a demand that I cease arguing my position.

No decisions have been put to the WG list about anything, since I
joined and the only relevant minutes from WG meetings - published
by John himself, explicitly record that various issues are
still open and should be discussed on the list.

http://www.imc.org/ietf-ldup/mail-archive/msg00688.html

No subsequent meeting has recorded even a room consensus that any
issue has been closed and should not be discussed on the list.

John's co-chair Chris had specifically stated, as mentioned in
item 4, that the specific issue I was referring to, was open for
discussion in WG last call.

John had never claimed before that any such decision had been made,
and had not made any other comment concerning anything I said on the list,
prior to my raising a formal objection to his unauthorized
posting of a revised WG charter.

John's bullying, as documented above and below, is plainly
in retaliation for that.

John would however have been unaware that on the very issue he was bullying
me
about, the requirements editors would recommend adopting exactly what I had
insisted on since joining the WG:

P7.  The protocol MUST preserve atomicity of LDAP operations as defined
in RFC2251 [RFC2251].

The sequence of events was as follows. A technical discussion relating
to requirements last call was proceeding normally in these threads:

http://www.imc.org/ietf-ldup/mail-archive/msg00807.html

http://www.imc.org/ietf-ldup/mail-archive/msg00808.html

http://www.imc.org/ietf-ldup/mail-archive/msg00809.html

http://www.imc.org/ietf-ldup/mail-archive/msg00812.html

http://www.imc.org/ietf-ldup/mail-archive/msg00816.html

http://www.imc.org/ietf-ldup/mail-archive/msg00817.html

http://www.imc.org/ietf-ldup/mail-archive/msg00819.html

http://www.imc.org/ietf-ldup/mail-archive/msg00821.html

http://www.imc.org/ietf-ldup/mail-archive/msg00824.html

http://www.imc.org/ietf-ldup/mail-archive/msg00825.html

http://www.imc.org/ietf-ldup/mail-archive/msg00826.html

http://www.imc.org/ietf-ldup/mail-archive/msg00827.html

http://www.imc.org/ietf-ldup/mail-archive/msg00828.html

http://www.imc.org/ietf-ldup/mail-archive/msg00830.html

John was not interested in the discussion at all, until
*after* my exchange with Patrik on items 1 to 3 as
documented in item 1.

Then John suddenly takes an interest in a technical
discussion, in an obvious attempt to start a flame war,
claiming that the matters he had refused to put to the
WG for decision had been decided.

http://www.imc.org/ietf-ldup/mail-archive/msg00836.html

I turn the other cheek. John tries again.

http://www.imc.org/ietf-ldup/mail-archive/msg00839.html

Two cheeks turned, I focus on the only positive and
useful comments in it:

http://www.imc.org/ietf-ldup/mail-archive/msg00841.html

(Followed up later in these messages)
http://www.imc.org/ietf-ldup/mail-archive/msg00890.html
http://www.imc.org/ietf-ldup/mail-archive/msg00903.html

So John tries a third time:

http://www.imc.org/ietf-ldup/mail-archive/msg00850.html

Having run out of my usually available cheeks, I am at
a loss as to what to do. It is impossible to just
continue a normal technical discussion under this kind
of barrage.

Fortunately, Ed Reed comments on exactly the quote John
ordered me not to discuss further, correctly described
by Ed as "the crux of the matter".

http://www.imc.org/ietf-ldup/mail-archive/msg00855.html

John tries a fourth time, proceeding to lecture me from
a great height, talking about the "the feeling of several members"
(who have said absolutely nothing about any such feeling themselves
in the list or to me), that I am "promoting" my MDCR draft and
should not refer to it. My MDCR draft was written specifically
in support of my objections to the requirements draft, has not
been rejected by the WG and was, as it happens mentioned in
passing in only 1 of the dozen or so messages in the threads
that John is trying to disrupt. I am perfectly entitled to
refer to it during the requirements discussion - that is
one of the things I-Ds are *for*.

John repeats his claim that I had made "unprofessional"
remarks, which he has now "explained" to me, although
his email, sent simultaneously with his announcement
of it, has done nothing of the sort.

http://www.imc.org/ietf-ldup/mail-archive/msg00864.html

Alas, I have but four cheeks. So when responding to Ed,
I also make some passing indirect references to John's behaviour.

http://www.imc.org/ietf-ldup/mail-archive/msg00873.html

A review of the whole WG last call discussion, apart from these
specific messages involving me, will make it pretty obvious
there is an enormous difference between the manner in which
others discuss things and the manner in which John does.

The difference is that John is a bully, and his focus is on
me is because I objected to his unauthorized posting of the WG
charter, and dates precisely from that event. His harping
on MDCR strongly suggests there is some burning resentment
about that I-D, but it expired long ago and he never behaved
this way while it was available, so it must primarily
relate to the objection.

Retaliation of any kind for raising issues in accordance
with IETF procedures is completely unacceptable from any
participant in IETF work because it undermines the open
and fair standardization process conducted by the IETF.
(Retaliation for publishing an I-D is of course no
better).

Such conduct requires formal disciplinary action when
engaged in by anyone holding a responsible position.
More so when it involves deliberate abuse of the
authority of a WG chair by ordering the person being
retaliated against not to present their technical
arguments on a major issue critical to the direction
of the WG in a WG last call.

The disciplinary measures proposed are quite mild.
John will not even be seriously inconvenienced by
temporary exclusion as he is not a particularly
effective advocate for his own views anyway, and
would positively benefit from being forced to not
respond instantly and have his comments passed
through others for long enough to learn the
normal practice of thinking before one speaks.

The important thing is that the proposed resolution *does*
include formal disciplinary measures, not just a direction
to not repeat the behaviour.

I doubt that the IETF has a great deal of experience
with bullying, unlike its wealth of experience
in dealing with disputes among reasonable
people about technical issues. Consequently
there is no advice about it in the BCPs. But it is
a well established "best current practice" in
institutions that do regularly have to deal
with bullies, that it is *always* necessary to
include actual disciplinary measures rather
than just corrective and preventative measures.
Otherwise the bully just feels "thwarted"
and looks for an opportunity to strike again,
whereas it is essential that they be made to
understand the futility of persisting.

Normally harsh measures are required immediately,
because bullies usually select victims who
are weak and powerless and they need reinforcement
by support from a stronger authority in order to
stand up for themselves.

The rather mild measures proposed are because
John is an exceptionally unskilled and obviously
inexperienced bully or he would have picked a
more suitable target.

On the one hand that makes it more likely that he
will learn his lesson easily and not repeat the behaviour.

On the other hand it means that he will receive
a full demonstration of the futility of bullying
anyway, as I have already initiated the usual
self-remedy for such behaviour and will continue
until it stops. I will not permit John to interrupt
a technical discussion by bullying again, although
I have waited until after the WG final call was
over on this occasion.

The proposed differentiation between the disciplinary
measures with and without an apology is because an
apology is usually more beneficial in correcting
and preventing such behaviour than the disciplinary
measures themselves, provided it is accompanied
by *some* such measures so that the bully cannot
think the bullying strategy has merely been
thwarted and is made fully aware of the futility
of continuing.

A harsher differentiation is inappropriate because:

a) People accused of misconduct have a right to maintain
their innocence after the charges are proved and should
not be punished for doing so, but only for what was
proved.

b) Some people are simply incapable of admitting that
they have made a mistake, let alone apologizing for it.
This is a serious character flaw which makes a person
unsuitable for responsible positions, but that is an
administrative matter, not some misconduct that
requires disciplinary measures in itself.

Public knowledge that the behaviour John was engaged in
was retaliatory bullying rather than getting carried away
in the heat of the moment over some issue he felt
passionately about, occurred on 1 March when
John accepted the requirements editors decision on
his "action item" by adopting precisely what I had
been advocating and what John had ordered me to stop
advocating, with the words:

"As WG Co-Chair, this action meets my action item."

If he had actually been upset concerning the issue he was bullying me
about, he would have said then and there that he was opposed to
the modified proposed requirement, either in a reasonable or in an
unreasonable manner.

Instead he confirmed that his behaviour was just
retaliatory bullying about something else, pure
and simple.

* Process *

I approached the WG chairs directly by email concerning the substance
of the problems that led to items 1, 2 and 4 in July 2000.

This correspondence was CC'd to both ADs as suggested by Chris.

Commitments were made by Chris on behalf of the WG co-chairs
concerning item 4 as shown in the attached email sent 20 July 2000
AEST and positive action to deal with requirements first by
means of an independent review and the appointment of 2 additional
editors did result in a greatly improved requirements document and
led me to assume there would be no attempt to push a URP Proposed
Standard through without WG review of architecture. Consequently
I did not take those matters further then.

The recent decisions in items 1, 2 and 3 and the ongoing decision
in item 4 are a complete renunciation of commitments already made
as a result of the earlier direct approach to the WG chairs. This
make another try pointless.

Also it is now more than 2 weeks since John stated publicly
that he would discuss other comments, (but not my comments)
re the charter on the list "next week". He has not done so.

My request for an explanation of why the unauthorized WG
charter had been posted was immediately met by an accusation
of "unprofessional" remarks from John followed by an email,
CC'd to Chris and Patrik, confirming that he would not
change his decisions and then followed by item 5,
which renders a direct approach undesirable as well
as futile.

I have therefore initiated this formal appeal as proposed
publicly by Patrik, and also initiated the necessary direct
remedy in response to item 5, without any further approach
to the WG co-chairs.

I will be happy to provide any additional information
requested and to respond to any replies by the WG
co-chairs.

Sorry about the length.

Albert Langer

Subject: RE: WG Last Call on the LDAPv3 Directory Replication I-D
From: "John Strassner" <[email-masked]>
To: <[email-masked]>
Cc: "'John Strassner'" <[email-masked]>, "'John Strassner'" <[email-masked]>, "'Chris Apple'" <[email-masked]>,'Patrik Fältström' <[email-masked]>
Date: Tue, 20 Feb 2001 14:11:07 +1100

Albert,

it is obvious that you don't understand IETF procedure here. Let me explain
by first repeating what I stated below:

>I posted the revised charter for discussion for this group. You were the
>only person that made a comment.

Silence means consent. The only other message was one complaining about
lack of time, so I gave the working group another week to review the
charter. At the end of the review period, there was only your comments.
Therefore, I had working group consent for the charter as is.

Having got that consent, the next item was for me to forward the charter to
our ADs for approval. When Patrik saw the charter, he responded to me that
a WG doesn't appoint liaisons. Note that the IESG has the power to change
the charter of a WG. So Patrik and I worked out suitable text, which he has
sent to you already. The problem lies in the early publishing of the
charter without the added text.

You then write:
>Rather than having to do a diff to discover such changes I would
>expect to know about them because they would have been put to and discussed
>in the WG email list. There was no mention of any such change in the only
>document you put to the WG.

As stated above, the charter WAS discussed, and consensus was reached. As
far as publishing a DIFF, that is probably a good idea. Most WGs don't do
that. And I would note that I explicitly pointed out in my original message
where the changes were.

I won't belabor the liaison comments, as Patrik has already responded. You
then write:
>Certainly issuing the final call within a few days of the end of the month
>successfully meets the objective (indeed something of a record as far as
>LDUP schedules are concerned). My point however was simply that a revised
>charter should not specify delivery dates that have already passed, which
>is precisely what you did.

Let me try again. The WG agreed to that charter. The fact that it got held
up was not the WG's fault. I didn't think that we needed to change the
dates, as those dates were precisely what the WG agreed to. And I was
hopeful of issuing the two last calls, but we had additional discussion in
January that needed to be resolved before those documents went out. Hence,
we were late. It doesn't mean that the charter is worthless, it means that
we missed the dates that we agreed to in the last WG meeting.

You then write:
>[Albert]
>The minutes did not say we should discuss a draft that has not been written
>yet and as I pointed out, and you seem to be confirming, they did not say
>that
>anybody had committed to producing such a draft by the end of March.

<js>
Actually, we DID get author commitments for these drafts.
</js>

You then continue:
>The revised charter does say that LDUP is committed to produce a draft
>by March 2001. My point was that under the circumstances it could be
>unrealistic to commit to a schedule of March 2001 for an I-D. Do
>you believe it is a realistic schedule? Or do you believe the schedule
>in a charter does not involve any sort of commitment?

<js>
This is insulting, and I'll thank you in advance to stop making such
comments. This is a working group, and of course commitment is important.
If you had attended the WG meeting, you would have known that I was very
forceful in getting commitment from the new authors.
</js>

You then write:
>[Albert]
>Propos[al] to finalize the Update Reconciliation Procedures
>four months [actually 3 -AL] prior to finalizing the Information Model and
>Architecture lacks common sense.
>***
>
>If you genuinely considered either of those references to be
>"unprofessional" I would have expected some private email from you at the
>time.

<js>
Look at what you wrote. You said that our direction "lacks common sense".
If that isn't insulting, I'd like to hear your definition of what is
insulting. Not to mention the basic point that your approach has already
been rejected. Your continued discussion of an approach that has been
rejected by the WG is not helpful.

Believe it or not, I have figured out that you don't agree with the
approach, despite my "lack of common sense". I wish that you would figure
out that your approach was rejected. So, if you are genuinely interested in
contributing to the working group, make what we have better. Don't redesign
it using a rejected approach.

John

At 10:59 AM 2/18/2001 +1100, Albert Langer wrote:
>[John]
>I posted the revised charter for discussion for this group. You were the
>only person that made a comment. If you would be so kind as to actually
>read the charter, you'll find that your complaint of having LDUP appoint
>two liaisons was dropped from the charter.
>
>[Albert]
>Thank you for your prompt response.
>
>I made no complaint about LDUP appointing two liaisons. I simply asked the
>the following question:
>
>***
>[revision]
>The LDUP WG Chairs will assign one or two persons to be official
>LDUP WG liasons to ITU, to monitor X.500 replication work in the ITU,
>and to coordinate the work of the LDUP WG with similar work in ITU.
>
>[Albert]
>My understanding is that X.500 dropped the URP proposals for
>multi-master as a work item.
>
>Who is or are the liaisons and what coordination has been or
>is being done?
>***
>
>I did not notice that the charter had been amended to remove all reference
>to appointing liasons, thank you for drawing that to my attention.
>
>Rather than having to do a diff to discover such changes I would
>expect to know about them because they would have been put to and discussed
>in the WG email list. There was no mention of any such change in the only
>document you put to the WG.
>
>It appears that instead of answering my question, someone, perhaps you, has
>taken a decision not to have liason with the ITU to monitor X.500
>replication
>work in the ITU and to coordinate the work of the LDUP WG with similar work
>in the ITU.
>
>Surely decisions about liasons between standards bodies require some degree
>of formality.
>
>Who took that decision, why and why was the WG not asked for an opinion
>about it?
>
>Since you appear to have misunderstood my question as a complaint, I will
>volunteer
>my opinion despite not having been asked for it. I believe it is important
>that
>there *should* be active liason with X.500 replication work and the reasons
>for
>URP being dropped as a work item there should be studied and thought about
>here.
>
>Be that as it may, revision of the WG charter to remove a commitment to
>establish
>a liason is not something that should be done in response to a single
>comment,
>whether correctly understood or not. It should have been, and should now
be,
>put to the WG formally.
>
>[John]
>As far as your complaint:
>
>[revision] Jan 01 LDAPv3 Directory Replication Requirements I-D goes to WG
>Last Call as Informational. Jan 01 LDAPv3 Update Reconciliation Procedures
>I-D goes to WG Last Call as Proposed Standard.
>[Albert] I do not think it is appropriate to issue new deadlines that have
>already passed.
>
>I would point out that Jan 01 means by the end of January, not 1 January.
>
>[Albert]
>Thank you. I had not understood that 01 referred to 2001 in my original
>comments
>although I understood after seeing Timothy Hahn's reference to this.
>
>Nevertheless, the WG Final call was issued on 5 February and the revised
>charter was subsequently issued on 10 February after 2 of the dates
>had already expired, as I originally stated.
>
>[John]
>We did successfully meet the first objective. We didn't meet the second
>objective because we had some comments on the requirements draft, and I
>felt uncomfortable issuing URP for last call until we had passed last call
>for the requirements draft.
>
>[Albert]
>Certainly issuing the final call within a few days of the end of the month
>successfully meets the objective (indeed something of a record as far as
>LDUP schedules are concerned). My point however was simply that a revised
>charter should not specify delivery dates that have already passed, which
>is precisely what you did.
>
>[John]
>You objected that you haven't seen any mailing list activity on the drafts
>from the new authors. The minutes simply said that the new authors would
>write these drafts and make every effort to get them posted in the
>repository before the next cut-off date. It didn't say that we had to
>discuss a draft that hadn't been written yet.
>
>[Albert]
>The minutes did not say we should discuss a draft that has not been written
>yet and as I pointed out, and you seem to be confirming, they did not say
>that
>anybody had committed to producing such a draft by the end of March.
>
>The revised charter does say that LDUP is committed to produce a draft
>by March 2001. My point was that under the circumstances it could be
>unrealistic to
>commit to a schedule of March 2001 for an I-D. Do you believe it is a
>realistic
>schedule? Or do you believe the schedule in a charter does not involve any
>sort
>of commitment?
>
>[John]
>As far as your unprofessional remark about URP, you are the only person
>objecting to it.
>
>Therefore, in the face of only one objection, and considering that we did
>discuss charter updates at the WG meeting, there was clear consent of the
>working group for adopting this new charter. The charter was so adopted.
>
>[Albert]
>I made only two references to URP, the one quoted above, and the following:
>
>***
>[revision]
>Apr 01 LDAPv3 Replication Information Model I-D goes to WG
>Last Call as Proposed Standard.
>
>Apr 01 LDAPv3 Replication Architecture I-D goes to WG Last
>Call as Informational.
>
>[...]
>[Albert]
>Propos[al] to finalize the Update Reconciliation Procedures
>four months [actually 3 -AL] prior to finalizing the Information Model and
>Architecture
>lacks common sense.
>***
>
>If you genuinely considered either of those references to be
>"unprofessional" I would have
>expected some private email from you at the time.
>
>I cannot even imagine what it is you now claim to be "unprofessional" about
>either of
>them, but since you have said so publicly, please either justify your
>statement or
>withdraw it.
>
>If there is a consensus in the WG to finalize detailed protocols before
>finalizing
>architecture and information model then so be it. But the WG was originally
>chartered
>to decide on the architecture and information model before finalizing
>protocol
>details - for reasons that I believe are obvious, "common sense" and indeed
>"professional".
>
>Any such consensus to reverse the normal and previously agreed sequence
>should be
>established on the mailing list by asking the participants what they think.
>Once an
>objection has been raised a consensus cannot be assumed on the basis of
>discussions
>at an IETF meeting.
>
>[John]
>I didn't issue a note to the working group because I was, and still am, ON
>VACATION. I will now issue such a note, even though I am still ON VACATION.
>
>As far as Tim's message, I simply did not see it. Thanks for the link, I'll
>take a look at it, and we can discuss the changes on the list next week,
>when I'm back from vacation.
>
>John
>
>[Albert]
>Thank you, that answers my concern that the document might have simply been
>posted without bothering to look at the comments.
>
>In future when you propose to take some formal action on behalf of the WG,
>and you happen to be on vacation, could you please postpone it until you
>are able to consult or at least inform the WG.
>
>There is no need to take such actions while on vacation just as there is
>no need to reply to this email while you are on vacation.
>
>________________________________
>
>At 07:47 AM 2/18/2001 +1100, Albert Langer wrote:
> >[John and Chris]
> >Silence means consent.
> >
> >Read, enjoy, and send your comments in!
> >
> >regards,
> >John Strassner and Chris Apple
> >
> >[Albert]
> >Could you please explain why a revised WG charter dated 10 February 2001
>was
> >posted to:
> >
> >http://www.ietf.org/html.charters/ldup-charter.html
> >
> >with revised dates some of which expired the previous month, and with a
> >schedule to
> >adopt URP as a "proposed standard" 3 months prior to finalizing the
> >architecture
> >and information model?
> >
> >I objected formally to both those aspects:
> >
> >http://www.imc.org/ietf-ldup/mail-archive/msg00784.html
> >
> >I have checked the archives and am not aware of any response to those
> >objections from the WG co-chairs or any attempt to seek a consensus from
>the
> >WG about them nor even any announcement to the WG that a consensus has in
> >fact been reached.
> >
> >There were also some other comments and questions from Timothy Hahn:
> >
> >http://www.imc.org/ietf-ldup/mail-archive/msg00791.html
> >
> >These included at least one minor editorial correction (typo) which I
>cannot
> >imagine anybody would have taken exception to. Therefore I am inclined to
> >assume the document was simply posted "as is" without bothering to
consider
> >any comments made on it, despite having asked for comments.
> >
> >Was that the case?
> >
> >Who took the decision, and why were we not informed?

Subject: Re: LDUP Requirements etc
From: "Chris Apple" <[email-masked]>
To: <[email-masked]>
Cc: "'Chris Apple'" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Thu, 20 Jul 2000 04:30:04 +1100

OK. Here's the deal. There will be an agenda item for the Pittsburgh WG
meeting to discuss the issues you have raised on the mailing. We'll
publish a summary of that discussion in the meeting minutes.

I'll craft and coordinate with my co-chair a reply to the official
meeting minutes posting with a request for objections to a particular
course of action relative to the issues you have raised on the mailing
list. In this case, silence from a majority WG participants that John
and I know to be actively participating in LDUP work will be
interpretted as having achieved rough concensus on that course of
action.

I believe that's all any WG co-chair could reasonably be expected to do
in a situation like this. I've been too swamped with day-to-day job
responsibilities to pay much attention to this particular WG issue
until the past week or so. Which is one reason for a change in who I am
employed by effective 7/24. After that date, since my new employer is
much more supportive of IETF work than my present employer, the
situation that the WG is in now, will receive much more of my day-to-day
attention. And, one way or the other, the issues you have raised will
get resolved.

John, Patrik, or Ned: do you have other opinions about how to proceed?

Chris.

Albert Langer wrote:
>
> Chris,
>
> Thanks for your prompt and detailed response.
>
> In view of your suggestion below, I am CCing this to the ADs so that they
> will have full background and in case they wish to offer any comments. At
> this stage I am not formally requesting any action from them. However I do
> request that they, as well as you, carefully read or re-read as essential
> background, your request for status reports and my response to it:
>
> http://www.imc.org/ietf-ldup/mail-archive/msg00561.html
>
> and the other links included in this message below.
>
> Further comments are interspersed with the whole of your message below.
>
> -----Original Message-----
> From: Chris Apple [mailto:[email-masked]]
> Sent: Tuesday, July 18, 2000 6:16 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: Reply address from Chris bounced
>
> Albert Langer wrote:
> >
> > [Chris]
> >
> > Must be something wrong with the $%#!ing mail gateways again!
> >
> > Oh well.
> >
> > [Albert]
> > Poorly designed replication protocols ;-)
>
> HA! Sloppy administration is more like it. I know the folks who
> run the machines. :)
>
> [Albert]
> Just as an aside, a background to my general concerns is a strongly held
> view I have come to, that many of the problems such as email
unreliability,
> widely perceived as being due to sloppy administration, are in fact due to
> the difficulty of administering without a directory service far more
deeply
> embedded in the general infrastructure than is actually feasible at the
> moment.
>
> I believe that LDUP standards are of strategic importance for internet
> development and are needed urgently.
>
> I also believe that unless LDUP gets it right, and does so soon, Microsoft
> will end up dominating this strategic area, with consequences that could
> include its domination of many other aspects of the internet.
>
> >
> > [Chris]
> > Too bad you can't make it. We were hoping you could be there
> > to give an overview of your draft. I disagree with your
> > assertion that these particular issues are more well suited to written
> > discussions. Its clear to me that they are not based on the response
> > they have received on the list. There has been insufficient traffic to
> > judge concensus around the need or lack thereof to change any LDUP
> > document.
> >
> > [Albert]
> > I agree that there has been insufficient traffic to judge consensus, but
I
> > disagree that this is due to the topics being more suited to meetings.
> >
> > Meetings are good for quickly clarifying points of misunderstanding and
> for
> > resolving points of detail, but not for thinking through major technical
> > issues.
>
> My experience says that you MUST have face-to-face meetings to
> resolve major technical disputes. You may disagree with that. That's
> fine. But I am in charge. :)
>
> [Albert]
> No problem. Despite disagreeing, I have already said I would be delighted
to
> attend and do a presentation if I possibly could, but unfortunately I
> cannot. Even if I had been unwilling I would certainly defer to your
> preference on that, if I could. I will be repeating my invitation to the
> authors of the URP draft to get togther for discussions as we all happen
to
> be in Melbourne. Perhaps you could join in encouraging them to do so?
>
> >
> > My impression is that the lack of traffic is due to lack of interest,
> rather
> > than the difficulties of written discussions. The list seems to have
> > recently been basically moribund between announcements of IETF meetings.
> > Anyway, I'd love to be there, but unfortunately I cannot.
> >
> > On requirements, it is clear to me that the WG has not taken the need to
> > analyse requirements before deciding architecture seriously at all.
> Frankly
> > I find it difficult to believe that people who have actually READ the
> > current requirements draft would consider it ready for final call. I can
> > only assume that those who have read it simply did not read it carefully
> as
> > a serious document that actually matters.
>
> [Chris]
> I'll try to keep my emotions out of this and say the following:
>
> 1) I've read it CAREFULLY and believe that its ready.
> 2) My co-chair has read it CAREFULLY and believes that its ready.
> 3) Active members of the Working Group who represent a majority of
> the most prevalent players in the LDAP industry have read it CAREFULLY,
> many, many times and believe that its ready.
>
> [Albert]
> I wasn't intending to stir up any emotions above. Since you say so, I can
> only accept that you have indeed read it CAREFULLY and that we do have
> fundamental differences as to what constitutes a "ready" document.
>
> There was no way I could have known that until now, as you have NOT
> expressed that view in the mailing list in response to John's formal
request
> for discussion from the minutes of the Adelaide IETF LDUP meeting.
>
> Neither has John, and neither has any other member of the WG except
Harald,
> who initially expressed an opposite view but has indeed now stated that he
> does believe it is ready now and given a reason for his conclusion.
>
> I have expressed arguments as to why I believe the reason he stated is
> fallacious and additional reasons why he should change that view:
>
> http://www.imc.org/ietf-ldup/mail-archive/msg00569.html
>
> Harald has apparantly chosen not to respond, which he is perfectly
entitled
> to do.
>
> Now that I know you also hold that view, perhaps with different reasons, I
> am asking you to respond to the above message, with your reasons for
> disagreeing with my objections and arguments. Again you are of course
> perfectly entitled not to do so, but it would certainly help kick off
> substantive discussion, which you indicated below is something you would
> like to see.
>
> I do not think it is surprising that most members of the WG have not
> expressed a view in the list, as the "first order of business" was clearly
> and formally stated by a WG co-chair in opening the discussion, to be a
> response from the authors of the requirements draft.
>
> You have yourself stated (above) that "There has been insufficient traffic
> to judge concensus around the need or lack thereof to change any LDUP
> document."
>
> A "rough consensus" does not require MY agreement. If you are correct
about
> all of 1), 2) and 3), as you must be concerning 1), then there is a "rough
> consensus", given that nobody else has expressed strong active opposition.
>
> But as you must know, since you have said it explicitly, silence in the
> absence of a formal last call, is NOT the same as saying it is ready. You
> simply don't KNOW whether there is now consensus or not because of the
lack
> of traffic, and therefore have quite rightly refrained from claiming that
> there is, despite your own strong view that it is "ready".
>
> [Chris]
> 4) Adding clarifications to the document such as adding an explicit
> statement indicating that atomicity of operations will not be addressed
> by LDUP can and should be handled DURING IETF Last Call. That's my
> interpretation and position on how to handle comments like
> this that are introduced after the WG last call window has elapsed.
>
> [Albert]
> You issued a WG last call on 16 September 1999 with a very clear
explanation
> of what a WG last call is:
>
> http://www.imc.org/ietf-ldup/mail-archive/msg00418.html
>
> The draft was not ready then and was later replaced with 02, which expired
> on 21 April.
>
> You were not present at the Melbourne IETF meeting and there may be some
> misunderstanding about what has happened since.
>
> My understanding is that whether you like it or not, the issue was
formally
> reopened by your WG co-chair following discussion with an AD and the
people
> at the meeting, after my formal objection at the meeting. It is currently
> before the WG and will remain so until such time as the WG co-chairs
> announce in the mailing list that the discussion has concluded and a
"rough
> consensus" has been reached. You have not done so, and cannot do so at
> present, based on your own statement quoted above.
>
> If I have misunderstood the current situation, please let me know.
>
> [Chris]
> 5) If you believe that there are serious breeches in the requirements
> having had adequate review and believe that it is directly related to
> the way the WG processes are being managed by John and myself, you
> should feel free to take that up directly with Patrik Faltstrom and Ned
> Freed.
>
> I can assure you that there is absolutely no chance I will ever agree
> with you about whether or not the document is ready for IETF Last Call.
> And since I'm co-chair and John agrees with me, the request we have
> made of the Applications ADs for IESG Review prior to IETF Last Call
> WILL proceed.
>
> [Albert]
> Sorry, I simply do not understand what you are referring to here.
>
> I have not seen any message in the mailing list about any request to the
ADs
> for "IESG Review prior to IETF Last Call" and I do not understand what
that
> implies as to where, when, to whom and how I should now state my
objections.
> Please explain.
>
> My current impression is that there is probably some simple
> misunderstanding, either on your part or mine, which should be easily
> resolved. This seems likely as you were not at the Melbourne IETF meeting
> and I am a new participant since then. It is clear from the message by one
> of the authors of the requirements draft, cited below, that at least
> *somebody* is under a misconception as to what the current status is, and
> the explanation given by that author concerning a communications breakdown
> seems plausible and could also cause other difficulties. These things
> happen.
>
> If however it turns out that the document has somehow changed status while
> expired and without any announcement of the conclusion of the discussion
> that was formally opened, then yes, I would conclude that there has been
> some serious breech in IETF procedures and formally request that the ADs
> intervene.
>
> Here's the "official" status:
>
> This Internet-Draft has expired and is no longer available.
>
> Unrevised documents placed in the Internet-Drafts directories have a
> maximum life of six months. After that time, they must be updated, or
> they will be deleted. This document was deleted on July 17, 2000.
>
> http://search.ietf.org/internet-drafts/draft-ietf-ldup-replica-req-03.txt
>
> Note that I drew attention to the expiry in my response to your request
for
> status reports and that it was deleted nearly a month after the author
> indicated he would "refresh" it, after reading and replying to that
reminder
> (see below).
>
> The original discussion was supposed to have concluded by Easter (only on
> whether requirements should proceed to final call, not on MDCR/URP), ie
> before expiry. But the "first order of business" has still not happened.
>
> [Chris]
> You are welcome to raise the issue of putting in language which
> clarifies that the requirements document doesn't intend to address
> atomicity at that time.
>
> [Albert]
> At present I believe that I have raised that issue, and the related issue
of
> putting in quite opposite language, and that both those issues are
currently
> before the WG.
>
> I also believe the WG is currently waiting for a response from the authors
> of the requirements draft as clearly stated by one of the authors a month
> ago:
>
> http://www.imc.org/ietf-ldup/mail-archive/msg00572.html
>
> See also my response:
>
> http://www.imc.org/ietf-ldup/mail-archive/msg00574.html
>
> When you explain otherwise I may have to revise my current belief, since
you
> are "in charge". But I cannot do so until you do explain.
>
> I certainly believe that language about what requirements LDUP standards
are
> and are not expected to meet is not a minor editorial clarification but an
> essential feature of a requirements document that should be included PRIOR
> to a formal "Last" call.
>
> >
> > On URP and MDCR, it is not surprising or unreasonable that WG members
> would
> > not be interested in studying MDCR very carefully at this late stage.
> > However I recommend that you go through the archives to review the
earlier
> > exhaustive and exhausting discussion of URP. It is quite clear from the
> > archives that there was a great deal of doubts about it, but no positive
> > alternatives. The discussions were bogged down in "preposterously
complex"
> > detail and would certainly have not been followed carefully by most
> > participants in the WG. There was no consensus, rough or otherwise -
just
> > exhaustion.
>
> [Chris]
> That is your opinion. It is quite obvious that John and I had other
> opinions and decide to move forward.
>
> [Albert]
> Fair enough. Obviously I believe that was a mistake and you and presumably
> most if not all other participants do not, since I am currently the only
> person with a formal objection.
>
> Actually I think it is *always* a mistake to proceed with architecture
> decisions, let alone design decisions, before formally signing off on
> "requirements". The WG charter clearly set out a timetable for
requirements
> to be the RFC published first, thus making input from others more likely
> before proceeding with RFCs on actual standards.
>
> That was not done, and in my opinion, which you obviously do not share, is
> an important reason for what I believe to be fundamental technical
problems
> in the actual standards, that WILL hold up actual deployment of viable
> multi-master replication, whether the current drafts are approved as
> proposed standards or not.
>
> For what its worth, I did see the requirements draft some time ago and
> simply assumed it was a very early draft that would be fixed up. I only
> concluded that some intervention was appropriate on reviewing the
documents
> for the Melbourne IETF and seeing that they were in essentially the same
> state. It may be that others likewise assumed that there wouldn't be much
> happening until a requirements draft that made sense was available for
> comment.
>
> There is simply nothing in it to suggest that the WG had even started to
> think about the issues for multi-master replication. (Reviewing the
archives
> since, shows the WG certainly had proceeded with details concerning
> multi-master replication, but that was never the result of any
requirements
> analysis reflected in a requirements document).
>
> >
> > BTW, could you please respond to my earlier question about whether there
> is
> > or was another "engineering" list and whether archives can be made
> > available?
>
> There was an engineering team list, but there has been almost no traffic
> on it since the beginning of the WG charter (when we were in a multiple
> proposal "bake-off"). All discussion relevant to the specific issues you
> have raised took place on the official WG Mailing list.
>
> I do not administer the old engineering team list, so I cannot
> comment on the existance of archives for it. I'd be surprised if
> there was one. It was mostly intended to get things going and
> was never intended to be used after the WG was officially chartered.
>
> [Albert]
> Thanks. That completely answers my question.
>
> Whatever misconceptions I may have as to what has happened in the LDUP WG
I
> am now confident it is not the result of having failed to study all the
> relevant material.
>
> >
> > [Chris]
> > As a result, John and I are trying to get something going at
> > the Pittsburgh LDUP WG Session to spark an adequate amount of
> > discussion on the list:
> >
> > What we are trying to do is to get a third party to put together
> > a slide presentation comparing your proposal's concepts with
> > similar concepts already in the LDUP documents. Third party in
> > this case would be one or more people who did not write either
> > your document or any of the LDUP documents potentially affected
> > by it - and someone who knows a thing or two about deploying
> > LDAP-based services. The guilty party will be identified in the
> > WG agenda to be posted on the IETF web site by 7/24. I'll post
> > the proposed WG agenda to the WG mailing list within the next day
> > or so just to make sure we didn't miss anything.
> >
> > This presentation will hopefully be enough food for thought in the WG
> > session. We also plan to post these slides to the list with a text
> > description of the slides.
> >
> > [Albert]
> > Sounds like a great idea to spark an adequate amount of discussion re
MDCR
> > and URP.
> >
> > It would be useful if these could be posted to the list as early as
> possible
> > to clarify any issues before the meeting. Also it would be good to post
> > drafts to Alison, Steve and myself a couple of days earlier for last
> minute
> > corrections/clarifications rather than doing that through the list.
> >
> > However, I should emphasize that there are 2 separate issues - my
> objections
> > to the requirements draft and my proposal for MDCR to be considered as
an
> > alternative to URP.
> >
> > The requirements issues do not need a third party presentation or
slides.
> > They need an answer from the authors of the requirements document. If
the
> WG
> > reaches a consensus not to require atomicity then it should say so
clearly
> > and explain why in the requirements document. The discussion could
result
> in
> > a consensus either way, but either way, some change is needed in the
> > requirements document since it neither explains, nor even states any
> > requirements whatever for multi-master replication.
> >
> > I request that you insist on the authors of the requirements draft
> > responding to my formal objection to it on the mailing list before the
> IETF
> > meeting. Others are perfectly entitled to be simply disinterested in the
> > objection. The authors do have an obligation to respond. That may well
> > result in substantive discussion of requirements issues.
>
> [Chris]
> I'll address this directly with the authors to see if they 1) believe
> that they did respond or 2) if they admit to not responding, when they
> will.
>
> [Albert]
> Thanks again. That is exactly what I requested, although I do not
understand
> your 1) or the use of the word "admit" in 2).
>
> The wording confirms my concern that there is some misunderstanding since
> one of the authors has quite clearly explained that he did not respond
> earlier due to a communications breakdown and has now promised to do so (a
> month ago), so there cannot be any possibility that he does "believe that
> they did respond" (unless another communications breakdown has resulted in
> me not seeing it - and also in the archives not recording it). Nothing has
> appeared from either author since.
>
> Anyway, whatever misunderstanding there may be, can be easily cleared up,
> since you are in fact contacting them as requested.
>
> [Chris]
> My own opinion is that the requirements document itself was never
> supposed to address detailed technical requirements for Multi-master
> replication, but that this topic would be addressed in the LDAPv3
> Multi-Master Replication Profile document - which is currently missing
> in action. I'll cover the issue directly with them and we'll see what
> they have to say.
>
> You may disagree with even that sentiment, however, this the way the WG
> is chartered. The appropriate time to have raised an issue like that,
> would have been prior to the last time we revised the charter. With
> that said, let me express my own frustration with being behind schedule
> in producing the main deliverables: ARGH!
>
> [Albert]
> I certainly wish I had been participating earlier and have already
> apologized for the inconvenience of bringing up major issues at this late
> stage. It would however be even more inconvenient if the results produced
by
> an IETF WG able to move directly to "proposed standard" instead of via
> "experimental" in fact turned out to be unworkable and to have a major
> negative impact on existing LDAP standards.
>
> As there was negligible response for over a week to your request for
status
> reports, in which you pointed out there had been no traffic on the list
> apart from spam for a considerable time, I did propose then that the WG
> should be re-chartered. Things HAVE improved more recently so I am not
> currently pursuing that. But here's a reminder of YOUR views on the
> situation in your draft agenda PRIOR to the Adelaide meeting:
>
> 2) Why are we so far behind?
>
>         We're showing the signs of starting to die a flailing death.
>         Don't let it happen if this work is important for your
>         LDAP implementations. Working groups have, can, and will
>         be killed for lack of activity similar to what I've seen
>         since the last IETF meeting.
>
> http://www.imc.org/ietf-ldup/mail-archive/msg00488.html
>
> I do disagree with your view on what should be in a requirements document
> and a profile and also disagree that this is currently the way the WG is
> chartered. My view is that profiles are dependent on standards and
standards
> are dependent on requirements. The WG charter appears to be sequenced on
> that view also.
>
> Alison has submitted a valuable "Contribution to Profiles Document
> (Consistency Discussion)"
>
> http://www.imc.org/ietf-ldup/mail-archive/msg00548.html
>
> The Word version with properly formatted tables is at:
>
> http://www.imc.org/ietf-ldup/mail-archive/doc00000.doc
>
> It does include a frank and technically detailed exposition of (some of)
the
> consequences of the design choices that have been made, that I am
concerned
> about.
>
> In my view that document should be distributed as an I-D to solicit
> discussion.
>
> So far there has been no discussion of it and its implications in the WG.
>
> It will not be enormously difficult to complete the missing "Multi-Master
> Replication Profile" based on that contribution.
>
> What WILL be very difficult is persuading anybody to deploy in
Multi-Master
> mode given the problems doing so that are highlighted there, let alone
other
> problems that I have mentioned.
>
> This is what raises a fundamental requirements issue. Do user needs for
> multi-master replication require different consistency guarantees from
those
> offered by the currently proposed solution to those needs?
>
> That, and not the technical details, is what needs to be in a requirements
> document, but is clearly absent.
>
> BTW, during the Adelaide IETF meeting I had some discussions with someone
> responsible for a large scale deployment of the pre-release of Active
> Directory, who explained that they decided, based on actual deployment
> experience, that they could not rely on multi-master precisely because of
> the proliferation of "Transient Extraordinary States".
>
> >
> > [Chris]
> > And yes, concensus will be judged from the list as it always is, has
> > been, and will be in the LDUP WG. If this attempt fails to produce
> > significant and substantive traffic on the list in favor changing
> > the documents based on your proposal, my own opinion is that this
> > means that the WG doesn't feel strongly about doing so.
> >
> > Chris.
> >
> > [Albert]
> > Understood. If there is no interest in MDCR there is no point in my
> pushing
> > it.
> >
> > However if the requirements draft stands I will object to the IETF final
> > call as the document is simply absurd. Even an informational RFC should
> > convey *some* useful information.
>
> [Chris]
> There are quite a few people who believe that such an objection
> is "simply absurd." I personally believe that it is quite a useful
> document. You can keep your opinions about my own technical
> abilities/strengths/lack-thereof to yourself! :)
>
> [Albert]
> As this is our first substantive exchange of views by email and is
primarily
> about administrative rather than technical matters, and you have not made
> any substantive technical contributions in the mailing list since I
joined,
> I have not yet formed any such opinions.
>
> When and if I do, I will duly refrain from letting you know ;-)
>
> For what its worth, in commenting on administrative matters, I am not
> expressing, and in fact do not yet have, any particular view on your
> administrative abilitites/strengths/lack-thereof either. You are
responding,
> so any misunderstandings or other problems can easily be resolved. That's
> all I have a reasonable expectation of, and you are meeting that
expectation
> courteously and in detail.
>
> I was explicitly invited NOT to write an alternative draft for the
> requirements document and have gladly complied with that request.
>
> If it proceeds to IETF final call, I will of course submit a detailed
> demonstration of my claim that it is "simply absurd", from which others
may
> form their own opinions as to both my technical
> abilitities/strengths/lack-thereof and those of the authors and any others
> who claim to have read it carefully and concluded that it was ready.
>
> Meanwhile, I have done my best to encourage you to take another look.
>
> I will try to complete my promised reply to Steve in time for the IETF
> meeting, but will unfortunately have to delay other correspondence for the
> next week or so.
>
> So I look forward to any response in whatever detail you wish and whenever
> is convenient for you to do so, and will respond accordingly, but I cannot
> promise to respond immediately.
>
> Seeya, Albert
>
> >
> > I believe it is a serious technical mistake to proceed with URP, whether
> or
> > not MDCR has any merit at all, which I am not in a position to judge
> > independently. The third party presentation could hopefully result in
> > substantive discussion of the issues within the WG and thus correct the
> > mistake. But if it does not, it would remain a serious technical
mistake.
> >
> > I will spell out some of the reasons in responding to Steve.
> >
> > Seeya, Albert
>
> Chris.
>
> --
> ------------------------------------------------------------------------
> Chris Apple                     Business Site: AnyWho Directory Service
> Internet Directory Group                       http://www.anywho.com
> AT&T Labs
> [email-masked]
> +1 973 236 6470                 Tired of slow directories?  Try AnyWho.
> ------------------------------------------------------------------------

--
------------------------------------------------------------------------
Chris Apple                     Business Site: AnyWho Directory Service
Internet Directory Group                       http://www.anywho.com
AT&T Labs
[email-masked]
+1 973 236 6470                 Tired of slow directories?  Try AnyWho.
------------------------------------------------------------------------

Subject: Re: Reply address from Chris bounced
From: "Chris Apple" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 18 Jul 2000 07:16:00 +1100

Albert Langer wrote:
>
> [Chris]
>
> Must be something wrong with the $%#!ing mail gateways again!
>
> Oh well.
>
> [Albert]
> Poorly designed replication protocols ;-)

HA! Sloppy administration is more like it. I know the folks who
run the machines. :)

>
> [Chris]
> Too bad you can't make it. We were hoping you could be there
> to give an overview of your draft. I disagree with your
> assertion that these particular issues are more well suited to written
> discussions. Its clear to me that they are not based on the response
> they have received on the list. There has been insufficient traffic to
> judge concensus around the need or lack thereof to change any LDUP
> document.
>
> [Albert]
> I agree that there has been insufficient traffic to judge consensus, but I
> disagree that this is due to the topics being more suited to meetings.
>
> Meetings are good for quickly clarifying points of misunderstanding and
for
> resolving points of detail, but not for thinking through major technical
> issues.

My experience says that you MUST have face-to-face meetings to
resolve major technical disputes. You may disagree with that. That's
fine. But I am in charge. :)

>
> My impression is that the lack of traffic is due to lack of interest,
rather
> than the difficulties of written discussions. The list seems to have
> recently been basically moribund between announcements of IETF meetings.
> Anyway, I'd love to be there, but unfortunately I cannot.
>
> On requirements, it is clear to me that the WG has not taken the need to
> analyse requirements before deciding architecture seriously at all.
Frankly
> I find it difficult to believe that people who have actually READ the
> current requirements draft would consider it ready for final call. I can
> only assume that those who have read it simply did not read it carefully
as
> a serious document that actually matters.

I'll try to keep my emotions out of this and say the following:

1) I've read it CAREFULLY and believe that its ready.
2) My co-chair has read it CAREFULLY and believes that its ready.
3) Active members of the Working Group who represent a majority of
the most prevalent players in the LDAP industry have read it CAREFULLY,
many, many times and believe that its ready.
4) Adding clarifications to the document such as adding an explicit
statement indicating that atomicity of operations will not be addressed
by LDUP can and should be handled DURING IETF Last Call. That's my
interpretation and position on how to handle comments like
this that are introduced after the WG last call window has elapsed.
5) If you believe that there are serious breeches in the requirements
having had adequate review and believe that it is directly related to
the way the WG processes are being managed by John and myself, you
should feel free to take that up directly with Patrik Faltstrom and Ned
Freed.

I can assure you that there is absolutely no chance I will ever agree
with you about whether or not the document is ready for IETF Last Call.
And since I'm co-chair and John agrees with me, the request we have
made of the Applications ADs for IESG Review prior to IETF Last Call
WILL proceed.

You are welcome to raise the issue of putting in language which
clarifies that the requirements document doesn't intend to address
atomicity at that time.

>
> On URP and MDCR, it is not surprising or unreasonable that WG members
would
> not be interested in studying MDCR very carefully at this late stage.
> However I recommend that you go through the archives to review the earlier
> exhaustive and exhausting discussion of URP. It is quite clear from the
> archives that there was a great deal of doubts about it, but no positive
> alternatives. The discussions were bogged down in "preposterously complex"
> detail and would certainly have not been followed carefully by most
> participants in the WG. There was no consensus, rough or otherwise - just
> exhaustion.

That is your opinion. It is quite obvious that John and I had other
opinions and decide to move forward.

>
> BTW, could you please respond to my earlier question about whether there
is
> or was another "engineering" list and whether archives can be made
> available?

There was an engineering team list, but there has been almost no traffic
on it since the beginning of the WG charter (when we were in a multiple
proposal "bake-off"). All discussion relevant to the specific issues you
have raised took place on the official WG Mailing list.

I do not administer the old engineering team list, so I cannot
comment on the existance of archives for it. I'd be surprised if
there was one. It was mostly intended to get things going and
was never intended to be used after the WG was officially chartered.

>
> [Chris]
> As a result, John and I are trying to get something going at
> the Pittsburgh LDUP WG Session to spark an adequate amount of
> discussion on the list:
>
> What we are trying to do is to get a third party to put together
> a slide presentation comparing your proposal's concepts with
> similar concepts already in the LDUP documents. Third party in
> this case would be one or more people who did not write either
> your document or any of the LDUP documents potentially affected
> by it - and someone who knows a thing or two about deploying
> LDAP-based services. The guilty party will be identified in the
> WG agenda to be posted on the IETF web site by 7/24. I'll post
> the proposed WG agenda to the WG mailing list within the next day
> or so just to make sure we didn't miss anything.
>
> This presentation will hopefully be enough food for thought in the WG
> session. We also plan to post these slides to the list with a text
> description of the slides.
>
> [Albert]
> Sounds like a great idea to spark an adequate amount of discussion re MDCR
> and URP.
>
> It would be useful if these could be posted to the list as early as
possible
> to clarify any issues before the meeting. Also it would be good to post
> drafts to Alison, Steve and myself a couple of days earlier for last
minute
> corrections/clarifications rather than doing that through the list.
>
> However, I should emphasize that there are 2 separate issues - my
objections
> to the requirements draft and my proposal for MDCR to be considered as an
> alternative to URP.
>
> The requirements issues do not need a third party presentation or slides.
> They need an answer from the authors of the requirements document. If the
WG
> reaches a consensus not to require atomicity then it should say so clearly
> and explain why in the requirements document. The discussion could result
in
> a consensus either way, but either way, some change is needed in the
> requirements document since it neither explains, nor even states any
> requirements whatever for multi-master replication.
>
> I request that you insist on the authors of the requirements draft
> responding to my formal objection to it on the mailing list before the
IETF
> meeting. Others are perfectly entitled to be simply disinterested in the
> objection. The authors do have an obligation to respond. That may well
> result in substantive discussion of requirements issues.

I'll address this directly with the authors to see if they 1) believe
that they did respond or 2) if they admit to not responding, when they
will.

My own opinion is that the requirements document itself was never
supposed to address detailed technical requirements for Multi-master
replication, but that this topic would be addressed in the LDAPv3
Multi-Master Replication Profile document - which is currently missing
in action. I'll cover the issue directly with them and we'll see what
they have to say.

You may disagree with even that sentiment, however, this the way the WG
is chartered. The appropriate time to have raised an issue like that,
would have been prior to the last time we revised the charter. With
that said, let me express my own frustration with being behind schedule
in producing the main deliverables: ARGH!

>
> [Chris]
> And yes, concensus will be judged from the list as it always is, has
> been, and will be in the LDUP WG. If this attempt fails to produce
> significant and substantive traffic on the list in favor changing
> the documents based on your proposal, my own opinion is that this
> means that the WG doesn't feel strongly about doing so.
>
> Chris.
>
> [Albert]
> Understood. If there is no interest in MDCR there is no point in my
pushing
> it.
>
> However if the requirements draft stands I will object to the IETF final
> call as the document is simply absurd. Even an informational RFC should
> convey *some* useful information.

There are quite a few people who believe that such an objection
is "simply absurd." I personally believe that it is quite a useful
document. You can keep your opinions about my own technical
abilities/strengths/lack-thereof to yourself! :)

>
> I believe it is a serious technical mistake to proceed with URP, whether
or
> not MDCR has any merit at all, which I am not in a position to judge
> independently. The third party presentation could hopefully result in
> substantive discussion of the issues within the WG and thus correct the
> mistake. But if it does not, it would remain a serious technical mistake.
>
> I will spell out some of the reasons in responding to Steve.
>
> Seeya, Albert

Chris.

--
------------------------------------------------------------------------
Chris Apple                     Business Site: AnyWho Directory Service
Internet Directory Group                       http://www.anywho.com
AT&T Labs
[email-masked]
+1 973 236 6470                 Tired of slow directories?  Try AnyWho.
------------------------------------------------------------------------

Subject: Re: LDUP Requirements etc
From: Patrik Fältström <[email-masked]>
To: "Chris Apple" <[email-masked]>, <[email-masked]>
Cc: "'Chris Apple'" <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Thu, 20 Jul 2000 11:25:14 +1100

At 13.30 -0400 00-07-19, Chris Apple wrote:
>John, Patrik, or Ned: do you have other opinions about how to proceed?

I think you have a plan, which for me looks like "discussions at the 
next IETF" and "then close the box by approving the minutes".

I will see, as AD, that the box will close, and stay closed.

    Patrik